#language: ru

@TransportLogistics

Функционал: 003. TransportLogistics. Дозаполение данных по организации

Сценарий: 003.1. TransportLogistics. Создание валюты

	Дано Я подключаюсь под "Ведение организаций"
	Дано я устанавливаю текущему сеансу заголовок приложения "18.003. Транспортная логистика"
	И Я создаю валюту RUB

Сценарий: 003.2. TransportLogistics. Заполнение ответсвенного за склад, графика доставки, условия приема заказов в складе
	
	Когда В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Склады'
	Тогда я жду открытия окна 'Склады' в течение 20 секунд
	* Заполнение типа доставки для склада Сырная ГП 
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                |
			| 'Группа складов для отгрузки' |
		И в таблице  "Список" я перехожу на один уровень вниз
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Сырная ГП'    |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Сырная ГП (Склад)'
		И я перехожу к закладке с именем "ГруппаТранспортнойИнформации"
		И из выпадающего списка с именем "ТипДоставки" я выбираю точное значение 'Доставка сторонней транспортной компанией'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Сырная ГП (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Заполнение типа доставки для склада Куриная ГП 
		И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'Куриная ГП'   |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Куриная ГП (Склад)'
		И я перехожу к закладке с именем "ГруппаТранспортнойИнформации"
		И из выпадающего списка с именем "ТипДоставки" я выбираю точное значение 'Самовывоз'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Куриная ГП (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
		И в таблице  "Список" я перехожу на один уровень вверх
	* Заполнение условий для атоматического создания планов отгрузки для Склада готовой продукции
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'            |
			| 'Склад готовой продукции' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Склад готовой продукции (Склад)'
		И я перехожу к закладке с именем "ГруппаТранспортнойИнформации"
		И из выпадающего списка с именем "ТипДоставки" я выбираю точное значение 'Самовывоз'
		И я перехожу к закладке "Прием заказов"
		И из выпадающего списка "Автоматически формировать планы отгрузки" я выбираю точное значение 'Общий план'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад готовой продукции (Склад) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	* Заполнение условий для атоматического создания планов отгрузки для Склад (планы отгрузки по заказам)
		И в таблице "Список" я перехожу к строке:
			| 'Наименование'                      |
			| 'Склад (планы отгрузки по заказам)' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Склад (планы отгрузки по заказам) (Склад)'
		И я перехожу к закладке "Прием заказов"
		И из выпадающего списка "Автоматически формировать планы отгрузки" я выбираю точное значение 'По заказам'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Склад (планы отгрузки по заказам) *' в течение 20 секунд
		Тогда открылось окно 'Склады'
	И Я закрываю окно 'Склады'

Сценарий: 003.3. TransportLogistics. Завершение

	И я закрываю сеанс TESTCLIENT